summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sbin/ancontrol/Makefile7
-rw-r--r--sbin/wicontrol/Makefile7
2 files changed, 12 insertions, 2 deletions
diff --git a/sbin/ancontrol/Makefile b/sbin/ancontrol/Makefile
index 4eabf1a04c1..20b67504e33 100644
--- a/sbin/ancontrol/Makefile
+++ b/sbin/ancontrol/Makefile
@@ -1,7 +1,12 @@
-# $OpenBSD: Makefile,v 1.3 2001/06/23 19:58:19 mickey Exp $
+# $OpenBSD: Makefile,v 1.4 2001/07/02 18:13:23 deraadt Exp $
+.if (${MACHINE} == "i386") || (${MACHINE} == "powerpc") || \
+ (${MACHINE} == "alpha")
PROG= ancontrol
CFLAGS+=-DANCACHE
+.else
+NOPROG=
+.endif
MAN= ancontrol.8
diff --git a/sbin/wicontrol/Makefile b/sbin/wicontrol/Makefile
index f499e910470..7b9b601ece1 100644
--- a/sbin/wicontrol/Makefile
+++ b/sbin/wicontrol/Makefile
@@ -1,8 +1,13 @@
-# $OpenBSD: Makefile,v 1.3 2001/06/23 19:55:34 mickey Exp $
+# $OpenBSD: Makefile,v 1.4 2001/07/02 18:13:23 deraadt Exp $
# From: Makefile,v 1.1 1999/05/05 07:37:06 wpaul Exp $
+.if (${MACHINE} == "i386") || (${MACHINE} == "powerpc") || \
+ (${MACHINE} == "alpha")
PROG= wicontrol
SRCS= wicontrol.c
+.else
+NOPROG=
+.endif
CFLAGS+= -Wall